function makeContour0424(x,y,z,x_label,y_label,t)

resolution = 64;
method = 'cubic';

%%% Rearrange x
x = log10(x);

%%% Interpolate
xmin = -3.3;
xmax = -1.1;
ymin = 0.67;
ymax = 0.93;
[XI,YI] = meshgrid(linspace(xmin,xmax,resolution),linspace(ymin,ymax,resolution));
ZI = griddata(x,y,z,XI,YI, method);

%%% Plot
colormap mycolormapcontour;
contour(XI,YI,ZI);
hold on;
scatter([x' x' x'],reshape([y y y]',1,9), 100, reshape(z',1,9),'x','LineWidth',2);
xlabel(x_label);
ylabel(y_label);
title(t);
hold off

end
